Skip to main content
`Ctrl`+`K`

# TSMonitorEnvelopeGetBounds

Gets the bounds for the components of the solution

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorEnvelopeGetBounds(TS ts, Vec *max, Vec *min)

Collective

## Input Parameter

- ts - the `TS` context

## Output Parameters

- max - the maximum values

- min - the minimum values

## Notes

If the `TS` does not have a `TSMonitorEnvelopeCtx` associated with it then this function is ignored

## See Also

TS: Scalable ODE and DAE Solvers, `TSMonitorEnvelopeCtx`, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetDisplayVariables()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/extchemfield.c
src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages